#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x3e5616d8, "module_layout" },
	{ 0x19e12210, "dev_queue_xmit" },
	{ 0xddd292cf, "ovs_netdev_tunnel_destroy" },
	{ 0x889024b1, "ovs_vport_ops_unregister" },
	{ 0x9d75426a, "__ovs_vport_ops_register" },
	{ 0x6f1f041d, "ovs_vport_free" },
	{ 0xacb08831, "rtnl_delete_link" },
	{ 0x517e78ec, "ovs_netdev_link" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x32229bba, "dev_change_flags" },
	{ 0x6aaaba53, "geneve_dev_create_fb" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x7f256edb, "ovs_vport_alloc" },
	{ 0xcd279169, "nla_find" },
	{ 0xdb7305a1, "__stack_chk_fail" },
	{ 0xf70cf44a, "nla_put" },
	{ 0xbdfb6dbb, "__fentry__" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=openvswitch,geneve";


MODULE_INFO(srcversion, "0A236712C93CF7DC31EB7A2");
